SQLITE3_BLOB(3) | Library Functions Manual | SQLITE3_BLOB(3)

# NAME

`sqlite3_blob` —
A Handle To An Open BLOB

# SYNOPSIS

typedef struct sqlite3_blob sqlite3_blob;

# DESCRIPTION

An instance of this object represents an open BLOB on which incremental BLOB I/O can be performed. Objects of this type are created by sqlite3_blob_open() and destroyed by sqlite3_blob_close(). The sqlite3_blob_read() and sqlite3_blob_write() interfaces can be used to read or write small subsections of the BLOB. The sqlite3_blob_bytes() interface returns the size of the BLOB in bytes.

# SEE ALSO

sqlite3_blob_bytes(3), sqlite3_blob_close(3), sqlite3_blob_open(3), sqlite3_blob_read(3), sqlite3_blob_write(3)

December 19, 2018 | NetBSD 9.5